Subject: bug#23909: 25.1.50; `button-label' must be called in the buffer where the button is in but not mentioned in document

From: Eli Zaretskii <[email-masked]>
Date: Fri, 08 Jul 2016 16:48:42 +0300

> From: Jiegec <[email-masked]>
> Date: Fri, 8 Jul 2016 18:36:42 +0800
> Cc: [email-masked]
> 
> I have gone through button.el and found only `button-label’ needs
> this change. If I have left out some, please add those as well.

Are we talking about the same issue?  I see these functions work on
the current buffer without telling that in their doc strings:

  button-start, button-end, button-get, button-put, button-activate,
  insert-button, insert-text-button, push-button, forward-button, and
  backward-button

Thanks.